Facebook needs the CURL PHP extension

1

Currently I am doing one small POC, to integrate my codeigniter application with Facebook API, So that I can authenticate my user using facebook login. While playing with API, I am getting an error “Facebook needs the CURL PHP extension”. Refer below error details.

Facebook needs the CURL PHP extension Error

Currently I am doing one small POC, to integrate my codeigniter application with Facebook API, So that I can authenticate my user using facebook login. While playing with API, I am getting an error “Facebook needs the CURL PHP extension”. Refer below error details.

Solution

You need to do the settings in php.ini file. Find the word “extension=php_curl” and un-comment that line by removing the semi-colon infront of it like below. But make sure that to reflect the changes please restart your server instance. It will resolve the above issue.

Dear users if you have any solution please post your answer in comment section.

 

Leave A Reply

Your email address will not be published.